Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAOC.cpp File Reference

`#include "TAOC.h"`
`#include "tao/Typecode.h"`
`#include "TAOC.i"`

Include dependency graph for TAOC.cpp:

## Functions
CORBA::TypeCode | _tc_TAO_tc_TAO_BufferingConstraintMode ( CORBA::tk_alias, sizeof (_oc_TAO_BufferingConstraintMode), (char *) &_oc_TAO_BufferingConstraintMode, 0, sizeof (TAO::BufferingConstraintMode) )
CORBA::TypeCode | _tc_TAO_tc_TAO_BufferingConstraint ( CORBA::tk_struct, sizeof (_oc_TAO_BufferingConstraint), (char *) &_oc_TAO_BufferingConstraint, 0, sizeof (TAO::BufferingConstraint) )
CORBA::TypeCode | _tc_TAO_tc_TAO_SyncScope ( CORBA::tk_alias, sizeof (_oc_TAO_SyncScope), (char *) &_oc_TAO_SyncScope, 0, sizeof (TAO::SyncScope) )
void | operator<<= (CORBA::Any &_tao_any, TAO::BufferingConstraint *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, TAO::BufferingConstraint *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const TAO::BufferingConstraint *&_tao_elem)
## Variables
const CORBA::Long | _oc_TAO_BufferingConstraintMode []
const CORBA::Long | _oc_TAO_SyncScope []

## Function Documentation

CORBA::TypeCode _tc_TAO_tc_TAO_BufferingConstraint ( | CORBA::tk_struct,
| sizeof(_oc_TAO_BufferingConstraint),
| (char *)& _oc_TAO_BufferingConstraint,
| 0,
| sizeof(TAO::BufferingConstraint) )`[static]`

CORBA::TypeCode _tc_TAO_tc_TAO_BufferingConstraintMode ( | CORBA::tk_alias,
| sizeof(_oc_TAO_BufferingConstraintMode),
| (char *)& _oc_TAO_BufferingConstraintMode,
| 0,
| sizeof(TAO::BufferingConstraintMode) )`[static]`

CORBA::TypeCode _tc_TAO_tc_TAO_SyncScope ( | CORBA::tk_alias,
| sizeof(_oc_TAO_SyncScope),
| (char *)& _oc_TAO_SyncScope,
| 0,
| sizeof(TAO::SyncScope) )`[static]`

void operator<<= ( | CORBA::Any & _tao_any,
| TAO::BufferingConstraint * _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| const TAO::BufferingConstraint *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| TAO::BufferingConstraint *& _tao_elem )

## Variable Documentation

const CORBA::Long _oc_TAO_BufferingConstraintMode[]`[static]`

| Initializer:
    {
      TAO_ENCAP_BYTE_ORDER,
      36,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x54414f2f),
      ACE_NTOHL (0x42756666),
      ACE_NTOHL (0x6572696e),
      ACE_NTOHL (0x67436f6e),
      ACE_NTOHL (0x73747261),
      ACE_NTOHL (0x696e744d),
      ACE_NTOHL (0x6f64653a),
      ACE_NTOHL (0x312e3000),
      24,
      ACE_NTOHL (0x42756666),
      ACE_NTOHL (0x6572696e),
      ACE_NTOHL (0x67436f6e),
      ACE_NTOHL (0x73747261),
      ACE_NTOHL (0x696e744d),
      ACE_NTOHL (0x6f646500),
      CORBA::tk_ushort,

    }

const CORBA::Long _oc_TAO_SyncScope[]`[static]`

| Initializer:
    {
      TAO_ENCAP_BYTE_ORDER,
      22,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x54414f2f),
      ACE_NTOHL (0x53796e63),
      ACE_NTOHL (0x53636f70),
      ACE_NTOHL (0x653a312e),
      ACE_NTOHL (0x30000000),
      10,
      ACE_NTOHL (0x53796e63),
      ACE_NTOHL (0x53636f70),
      ACE_NTOHL (0x65000000),
      CORBA::tk_short,

    }